package cn.quantgroup.customer.service;

import cn.quantgroup.customer.rest.param.vcc.OfflineRepaySubmitParam;
import cn.quantgroup.customer.rest.param.vcc.UserPreRepayInfoQuery;
import cn.quantgroup.customer.rest.vo.JsonResult;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface IVccService {
    JsonResult queryPage(UserPreRepayInfoQuery query) throws Exception;

    JsonResult queryRepayCalDetail(String uniqueId,Integer repayType) throws Exception;

    void saveSubmitRecord(OfflineRepaySubmitParam param,String token) throws Exception;

    OfflineRepaySubmitParam approvalQuery(String serialNo) throws Exception;

    JsonResult queryApprovalRecord(String serialNo) throws Exception;

    void approvalResult( String serialNo, String remark, Integer status ,String token) throws Exception;

    Map<String,String> fileUpload(MultipartFile file) throws Exception;

    JsonResult queryApplyRecord(UserPreRepayInfoQuery query) throws Exception;

    void saveApprovalRecord( String serialNo, String remark, Integer status,String token) throws Exception;
}
